Package madkit.message.hook

# Enum Class HookMessage.AgentActionEvent

java.lang.Object
java.lang.Enum<HookMessage.AgentActionEvent>
madkit.message.hook.HookMessage.AgentActionEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<HookMessage.AgentActionEvent>`, `java.lang.constant.Constable`

Enclosing class:
  HookMessage

public static enum HookMessage.AgentActionEvent extends Enum<HookMessage.AgentActionEvent>
Enumeration representing agent actions that could be monitored using hooks.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGENT_STARTED`
  `AGENT_TERMINATED`
  `BROADCAST_MESSAGE`
  `CREATE_GROUP`
  `LEAVE_GROUP`
  `LEAVE_ROLE`
  `REQUEST_ROLE`
  `SEND_MESSAGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HookMessage.AgentActionEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HookMessage.AgentActionEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE_GROUP

    public static final HookMessage.AgentActionEvent CREATE_GROUP

  - ### REQUEST_ROLE

    public static final HookMessage.AgentActionEvent REQUEST_ROLE

  - ### LEAVE_GROUP

    public static final HookMessage.AgentActionEvent LEAVE_GROUP

  - ### LEAVE_ROLE

    public static final HookMessage.AgentActionEvent LEAVE_ROLE

  - ### SEND_MESSAGE

    public static final HookMessage.AgentActionEvent SEND_MESSAGE

  - ### BROADCAST_MESSAGE

    public static final HookMessage.AgentActionEvent BROADCAST_MESSAGE

  - ### AGENT_STARTED

    public static final HookMessage.AgentActionEvent AGENT_STARTED

  - ### AGENT_TERMINATED

    public static final HookMessage.AgentActionEvent AGENT_TERMINATED

- ## Method Details

  - ### values

    public static HookMessage.AgentActionEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HookMessage.AgentActionEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null